/*
m_loop_get_table - get the number of the stored ftable

DESCRIPTION
Return the number of the stored sound ftable or -1, if this loop is no longer
valid.

SYNTAX
ifn m_loop_get_table Sname

INITIALIZATION
ifn - Table number of the stored sample or -1, if this loop is not valid

PERFORMANCE

CREDITS
Author: Jeanette C.
*/

opcode m_loop_get_table, i, S
	Sname xin

	; Set up the basic channel name
	SchannelName strcat "m_loop.", Sname

	if chnget(strcat(SchannelName, ".Valid")) == 1 then
		ifn chnget strcat(SchannelName, ".Table")
	else
		ifn = -1
	endif

	; Output the table number
	xout ifn
endop
